io.undertow.websockets.core

## Enum WebSocketVersion

- java.lang.Object
- - java.lang.Enum<WebSocketVersion>
  - - io.undertow.websockets.core.WebSocketVersion

All Implemented Interfaces:
  Serializable, Comparable<WebSocketVersion>

    public enum WebSocketVersion
    extends Enum<WebSocketVersion>

Enum which list all the different versions of the WebSocket specification (to the current date).

A specification is tied to one wire protocol version but a protocol version may have use by more than 1 version of the specification.

Author:
  Norman Maurer

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`UNKNOWN` Unknown version of the protocol
`V00` draft-ietf-hybi-thewebsocketprotocol- 00.
`V07` draft-ietf-hybi-thewebsocketprotocol- 07
`V08` draft-ietf-hybi-thewebsocketprotocol- 10
`V13` RFC 6455.

### Field Summary

Fields
`static AttachmentKey<WebSocketVersion>` `ATTACHMENT_KEY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toHttpHeaderValue()` Returns a `String` representation of the `WebSocketVersion` that can be used in the HTTP Headers.
`static WebSocketVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WebSocketVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final WebSocketVersion UNKNOWN

Unknown version of the protocol

#### V00

    public static final WebSocketVersion V00

draft-ietf-hybi-thewebsocketprotocol- 00.

#### V07

    public static final WebSocketVersion V07

draft-ietf-hybi-thewebsocketprotocol- 07

#### V08

    public static final WebSocketVersion V08

draft-ietf-hybi-thewebsocketprotocol- 10

#### V13

    public static final WebSocketVersion V13

RFC 6455. This was originally draft-ietf-hybi-thewebsocketprotocol- 17

### Field Detail

#### ATTACHMENT_KEY

    public static final AttachmentKey<WebSocketVersion> ATTACHMENT_KEY

### Method Detail

#### values

    public static WebSocketVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebSocketVersion c : WebSocketVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebSocketVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toHttpHeaderValue

    public String toHttpHeaderValue()

Returns a `String` representation of the `WebSocketVersion` that can be used in the HTTP Headers.